corelinux::Allocator Class Reference

Allocator is a Strategy class used by AbstractAllocator and AbstractFactory.Each Allocator instance tracks allocates and deallocates. More...

`#include <Allocator.hpp>`

## Public Member Functions

| Allocator (void)
| Default constructor.
| Allocator (AllocatorCref)
| Copy constructor. More...
virtual | ~Allocator (void)
| Virtual destructor.
Allocator & | operator= (AllocatorCref)
| Assingment operator overload. More...
bool | operator== (AllocatorCref) const
| Equality operator overload. More...
virtual CountCref | getAllocateCount (void) const
| Retrieves the number of allocations by this Allocator. More...
virtual CountCref | getDeallocateCount (void) const
| Retrieves the number of deallocations by this Allocator. More...
virtual void | incrementAllocates (void)
| Increment the allocates.
virtual void | decrementAllocates (void)
| Decrement the allocates.
virtual void | incrementDeallocates (void)
| Increment the deallocates.
virtual void | decrementDeallocates (void)
| Decrement the deallocates.
Public Member Functions inherited from corelinux::Strategy
| Strategy (void)
| Default Constructor.
| Strategy (StrategyCref)
| Copy Constructor. More...
virtual | ~Strategy (void)
| Virtual Destructor.
StrategyRef | operator= (StrategyCref)
| Assignment operator overload. More...
bool | operator== (StrategyCref) const
| Equality operator overload. More...
bool | operator!= (StrategyCref) const
| Non-equality operator overload. More...

## Detailed Description

Allocator is a Strategy class used by AbstractAllocator and AbstractFactory.Each Allocator instance tracks allocates and deallocates.

See also
  Strategy, AbstractAllocator, AbstractFactory

## Constructor & Destructor Documentation

corelinux::Allocator::Allocator | ( | AllocatorCref | aRef | ) |

Copy constructor.

Parameters

  Allocator | const reference

## Member Function Documentation

CountCref corelinux::Allocator::getAllocateCount | ( | void |  | ) | const

virtual

Retrieves the number of allocations by this Allocator.

Returns
  Count - number of allocates

CountCref corelinux::Allocator::getDeallocateCount | ( | void |  | ) | const

virtual

Retrieves the number of deallocations by this Allocator.

Returns
  Count - number of deallocates

AllocatorRef corelinux::Allocator::operator= | ( | AllocatorCref | aRef | ) |

Assingment operator overload.

Parameters

  Allocator | const reference

Returns
  Allocator reference to self

Referenced by corelinux::AbstractAllocator< TypeImpl >::operator=().

bool corelinux::Allocator::operator== | ( | AllocatorCref | aRef | ) | const

Equality operator overload.

Parameters

  Allocator | const reference

Returns
  true if same identity

Referenced by corelinux::AbstractAllocator< TypeImpl >::operator==().

The documentation for this class was generated from the following files:

- Allocator.hpp
- Allocator.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium